﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();
        public Form1()
        {
            InitializeComponent();

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.chart.Paint += Chart_Paint;
            ChartSeries series = new ChartSeries("series1", ChartSeriesType.Scatter);
            series.Points.Add(100, 55);
            series.Points.Add(148, 45);
            series.Points.Add(290, 40);
            this.chart.Series.Add(series);
            this.Controls.Add(chart);
            
        }

        private void Chart_Paint(object sender, PaintEventArgs e)
        {
            this.DrawString(e.Graphics, 10.0F, 80.0F);
        }

        public void DrawString(Graphics formGraphics, float x, float y)
        {
            string drawString = "Custom Text 1";
            string drawString2 = "Custom Text 2";
            System.Drawing.Font drawFont = new System.Drawing.Font("Arial", 16);
            System.Drawing.SolidBrush drawBrush = new System.Drawing.SolidBrush(System.Drawing.Color.Red);
            System.Drawing.StringFormat drawFormat = new System.Drawing.StringFormat();
            formGraphics.DrawString(drawString, drawFont, drawBrush, x, y, drawFormat);
            formGraphics.DrawString(drawString2, drawFont, drawBrush, x, y+160, drawFormat);
            drawFont.Dispose();
            drawBrush.Dispose();
        }
      
    }
}
